POST api/partner/orders/order/pay?key={key}
Метод для оплаты заказа
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| key | string |
Required |
Body Parameters
OrderPayModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId |
Идентификатор пользователя |
integer |
None. |
| PartnerId |
Идентификатор партнера |
globally unique identifier |
None. |
| OrderId |
Идентификатор заказа |
globally unique identifier |
None. |
| Amount |
Сумма |
decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"userId": 1,
"partnerId": "870d951e-b1de-4cb5-9a58-44d234554db4",
"orderId": "e176e88c-e49d-40df-a423-b4722ea62bed",
"amount": 4.0
}
application/xml, text/xml
Sample:
<PartnerController.OrderPayModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers"> <Amount>4</Amount> <OrderId>e176e88c-e49d-40df-a423-b4722ea62bed</OrderId> <PartnerId>870d951e-b1de-4cb5-9a58-44d234554db4</PartnerId> <UserId>1</UserId> </PartnerController.OrderPayModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.